# Update

Update script written in Bash for Arch Linux only. Keeps all your official, aur packages and your flatpaks up to date with one simple script. It also backups a list of all your installed packages and flatpaks.

## Requirements

It requires sudo, but if you use something else, then just create a softlink for this script to work.  
Doing that would look like this.
```bash
ln -s /usr/bin/your_program /usr/bin/sudo
```

## Installation 

```bash
git clone https://gitea.hopeless-cloud.xyz/AustrianToast/update.git && cd update
```

Before installing, please edit the config and configure it to your liking.  
Then install using
```bash
make
```

## Usage

```
Usage: update [OPTION]

options:
no flag        same as -p
-f             updates using flatpak update only
-p             updates using a pacman-wrapper only
-a             updates using flatpak update and a pacman-wrapper
-g             shutdowns the computer afterwards
-r             reboots the computer afterwards
--help         displays this message
--preview      shows a preview of which pkg's will be updates
--version      prints out the version number
--backup       just does the before-backup without updating
```

## Contributing  
Contributions are always welcome!
